Bug 618785 (CVE-2010-2100, MOPS-2010-036, MOPS-2010-037, MOPS-2010-038, MOPS-2010-039, MOPS-2010-040) - CVE-2010-2100 php: multiple interruption vulnerabilities (MOPS-2010-03[6789], MOPS-2010-040)
Summary: CVE-2010-2100 php: multiple interruption vulnerabilities (MOPS-2010-03[6789],...
Status: CLOSED DUPLICATE of bug 169857
Alias: CVE-2010-2100, MOPS-2010-036, MOPS-2010-037, MOPS-2010-038, MOPS-2010-039, MOPS-2010-040
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=none,source=internet,reported=...
Keywords: Security
: CVE-2010-2101, MOPS-2010-041, MOPS-2010-042, MOPS-2010-043, MOPS-2010-044, MOPS-2010-045, MOPS-2010-046 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-27 17:57 UTC by Tomas Hoger
Modified: 2015-08-19 08:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 18:08:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MOPS-2010-036 reproducer (1.32 KB, text/plain)
2010-07-27 17:57 UTC, Tomas Hoger
no flags Details
MOPS-2010-037 reproducer (1.27 KB, text/plain)
2010-07-27 17:58 UTC, Tomas Hoger
no flags Details
MOPS-2010-038 reproducer (1.31 KB, text/plain)
2010-07-27 17:59 UTC, Tomas Hoger
no flags Details
MOPS-2010-039 reproducer (1.31 KB, text/plain)
2010-07-27 18:00 UTC, Tomas Hoger
no flags Details
MOPS-2010-040 reproducer (1.29 KB, text/plain)
2010-07-27 18:01 UTC, Tomas Hoger
no flags Details

Description Tomas Hoger 2010-07-27 17:57:07 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2100 to the following vulnerability:

The (1) htmlentities, (2) htmlspecialchars, (3) str_getcsv, (4) http_build_query, (5) strpbrk, and (6) strtr functions in PHP 5.2 through 5.2.13 and 5.3 through 5.3.2 allow context-dependent attackers to obtain sensitive information (memory contents) by causing a userspace interruption of an internal function, related to the call time pass by reference feature. 

References:
http://php-security.org/2010/05/21/mops-2010-036-php-htmlentities-and-htmlspecialchars-interruption-information-leak-vulnerability/index.html
http://php-security.org/2010/05/21/mops-2010-037-php-str_getcsv-interruption-information-leak-vulnerability/index.html
http://php-security.org/2010/05/21/mops-2010-038-php-http_build_query-interruption-information-leak-vulnerability/index.html
http://php-security.org/2010/05/21/mops-2010-039-php-strpbrk-interruption-information-leak-vulnerability/index.html
http://php-security.org/2010/05/21/mops-2010-040-php-strtr-interruption-information-leak-vulnerability/index.html

Comment 1 Tomas Hoger 2010-07-27 17:57:39 UTC
Created attachment 434788 [details]
MOPS-2010-036 reproducer

Comment 2 Tomas Hoger 2010-07-27 17:58:11 UTC
Created attachment 434789 [details]
MOPS-2010-037 reproducer

Comment 3 Tomas Hoger 2010-07-27 17:59:34 UTC
Created attachment 434790 [details]
MOPS-2010-038 reproducer

Comment 4 Tomas Hoger 2010-07-27 18:00:33 UTC
Created attachment 434791 [details]
MOPS-2010-039 reproducer

Comment 5 Tomas Hoger 2010-07-27 18:01:04 UTC
Created attachment 434792 [details]
MOPS-2010-040 reproducer

Comment 6 Tomas Hoger 2010-07-27 18:08:37 UTC
Upstream commits added in 5.3.3:
  http://svn.php.net/viewvc?view=revision&revision=298945
  http://svn.php.net/viewvc?view=revision&revision=299240

More info on the impact of the interruption vulnerabilities - bug #617578, comment #3.

*** This bug has been marked as a duplicate of bug 169857 ***

Comment 7 Tomas Hoger 2010-07-27 18:09:24 UTC
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir
restriction bypass to be security sensitive.  For more details see
https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php

Comment 8 Tomas Hoger 2010-07-27 20:12:29 UTC
*** Bug 618825 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.